<?php

  if (isset($_POST['dodanie_strony'])){

  	if($_POST['szablon']==null or $_POST['nazwa_strony']==null){
		komunikat("Błąd","Wypełnij proszę wszystkie wymagane pola.");
	}else{

		$typ = $_POST['typ'];
		$podstrona = $_POST['podstrona'];



		$alias = strtolower(str_replace(' ', "-", strtolower($_POST['nazwa_strony'])));

		$alias = filtr_pl($alias);



		$ok = false;

		$licznik = 0;

		$alias_pierwszy = $alias;



		while(!$ok){

			$licznik++;

			$wykonaj = mysql_query ("SELECT * FROM ".$db_pref."strona WHERE alias='".$alias."' and id_serwisu='".$_SESSION['ID_serwisu']."';");

			if($wykonaj){

				$ile = mysql_num_rows($wykonaj);

				if($ile==0){

					$ok = true;

				}else{

					$alias = $alias_pierwszy."-".$licznik;

				}

			}else{

				$ok = true;

			}

		}





		$wykonaj = mysql_query("INSERT INTO ".$db_pref."strona (nazwa_pliku,nazwa_strony,alias,typ,grupa,id_serwisu,kiedy_dodana,przez_kogo,podstrona) VALUES ('".$szablon."','".$_POST['nazwa_strony']."','".$alias."','".$typ."','".$grupa_strony."','".$_SESSION['ID_serwisu']."','".time()."','".$_SESSION['u_id']."','".$podstrona."')");

		if (!($wykonaj)) print mysql_error();



    	if($wykonaj){
			komunikat("Komunikat",'Strona dodana pomyślnie.<br>Link do strony to: <a href="javascript:parent.zmien_adres_ramki(\'../'.$alias.'.html\');">'.$alias.'.html</a>');
			// tu mogę wygenerowac plik PHP z podstronami
			include_once "generowanie_pliku_podstron.php";
		}
	}
  }







	 echo'
    <form action="?go=dodaj_strone" method="post" class="f-wrap-1" name="formularz_glowny">
    		<div class="req"><b>*</b> Pola wymagane</div>
			<fieldset>
	 		<h3>Tworzenie nowej strony</h3>
			<label for="nazwa_strony"><b><span class="req">*</span>Nazwa strony:</b> <input name="nazwa_strony" type="text" class="f-name" tabindex="1" value="'.$_POST['nazwa_strony'].'" /><br/></label>



			';











		echo'<label for="szablon"><b><span class="req">*</span>Szablon:</b> <select size="1" name="szablon">';







	 $sciezka = "../../templates/".$katalog_serwisu;







	 $lista=array();



      $katalog = opendir($sciezka);



      while ($plik = strtolower(readdir($katalog))) {



        if (($plik<>".")&&($plik<>"..")&&($plik<>"index.php")&&!preg_match("/.add/i", $plik)&&!preg_match("/bak./i", $plik)&&!preg_match("/naglowek./i", $plik)&&!preg_match("/stopka./i", $plik)&&!preg_match("/404./i", $plik)&&!preg_match("/admin_logowanie/i", $plik)&&!preg_match("/faq./i", $plik)&&!preg_match("/stopka./i", $plik)&&!preg_match("/info_kontakt./i", $plik)&&!preg_match("/aktualnosci_prawe./i", $plik)&&!preg_match("/przerwa_techniczna./i", $plik)) {



          if(!is_dir($sciezka.$plik)) $lista[] = $plik;



        }



      }



      closedir($katalog);







      sort($lista);



      for ($i=0;$i<count($lista);$i++) {



			  $zaznaczenie=null;



			  if($_POST['szablon']==$lista[$i]){$zaznaczenie=' selected';}



			  echo'<option value="'.$lista[$i].'"'.$zaznaczenie.'>'.$lista[$i].'</option>';



      }











echo'</select></label><br />

<label for="typ"><b><span class="req">*</span>Typ strony:</b> <select size="1" name="typ">';
echo'<option value="normalna">Strona normalna</option>';
echo'<option value="struktura">Strona w strukturze</option>';
echo'</select></label><br />';



	function espace($rang) {
	  $ch="";
	  for ($x=0;$x<$rang;$x++) {
	  	  $ch = $ch."---";
	  }
	  return $ch;
	}


	function recur($tab,$pere,$rang) { global $tempx;
	  for ($x=0;$x<count($tab);$x++) {
	    if ($tab[$x][1]==$pere) {
			 $tempx .= '<option value="'.$tab[$x][0].'">-'.espace($rang).'&nbsp;'.$tab[$x][2].'</option>';
	       recur($tab,$tab[$x][0],$rang+1);
	    }
	  }
	}

	$data_x[] = array(0,-1,"racine");






	echo'<label for="podstrona"><b><span class="req">*</span>Podstrona dla:</b> <select size="1" name="podstrona">';
	echo'<option value="0">Podstrona główna</option>';
		$sql = mysql_query("SELECT id,nazwa_strony,podstrona,alias FROM ".$db_pref."strona WHERE typ='struktura' ORDER BY nazwa_strony ASC;");
		while($row = mysql_fetch_array($sql)){
			$data_x[] = array($row['id'],$row['podstrona'],$row['nazwa_strony'],$row['alias']);
		}
		recur($data_x,0,0);
		echo$tempx;
	echo'</select></label><br />

			<div class="f-submit-wrap">
				<input type="submit" name="dodanie_strony" value="Dodaj stronę" class="f-submit" />
				<br />
			</div>

	</fieldset>

</form>';

?>
